package com.community.huiju.dao;

import com.community.huiju.model.SysNation;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface SysNationMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(SysNation record);

    int insertSelective(SysNation record);

    SysNation selectByPrimaryKey(@Param("id") Integer id);

    int updateByPrimaryKeySelective(SysNation record);

    int updateByPrimaryKey(SysNation record);
    
    List<SysNation> getNationList(@Param("parentId") Integer parentId);
}